package com.hai.order.service.impl;

import com.hai.entity.HighOrder;
import com.hai.order.service.OrderService;
import com.hai.service.HighOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @className: OrderServiceImpl
 * @author: HuRui
 * @date: 2022/8/18
 **/
@Service("orderService123")
public class OrderServiceImpl implements OrderService {

    @Resource
    private HighOrderService highOrderService;

    @Override
    public HighOrder getDetailByOrderNo(String orderNo) {
        return highOrderService.getOrderByOrderNo(orderNo);
    }
}
